Skip to main content
GET
/
v1
/
discounts
List Discounts
curl --request GET \
  --url https://{defaultHost}/v1/discounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/discounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/discounts"
  },
  "data": [
    {
      "id": "8b1f8290-3fc1-4065-88be-29f4033b299e",
      "object": "discount",
      "discount_amount": -500,
      "primary": true,
      "redeemable_status": "redeemable",
      "redeemed_at": 1782485763,
      "used_up": false,
      "checkout": "a2bdd1cb-6514-4ea9-8770-116a769582bd",
      "coupon": "efc9f5e4-216a-42bb-b892-197f12db0b22",
      "customer": "56fe1ca2-d5e8-4862-96fe-6e27a59c6398",
      "primary_discount": null,
      "promotion": null,
      "created_at": 1782485823,
      "updated_at": 1782485823
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

coupon_ids[]
string[]

Only return objects with the given coupon IDs.

customer_ids[]
string[]

Only return objects that belong to the given customers.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

primary
boolean

Only return the primary discounts, the first one when the coupon is recurring.

primary_discount_ids[]
string[]

Only return objects that belong to the given primary discount.

promotion_ids[]
string[]

Only return objects with the given promotion IDs.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.